Name:           virtaal
Version:        0.7.0
Release:        %mkrel 3
Summary:        Localization and translation editor
Group:          System/Internationalization
License:        GPLv2+
URL:            http://translate.sourceforge.net/wiki/virtaal/index
Source0:        http://downloads.sourceforge.net/translate/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
%py_requires -d
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  python-translate >= 1.5.1
BuildRequires:  python-lxml
Requires: iso-codes
Requires: python-translate
Requires: pygtk2.0
Requires: pygtk2.0-libglade
Requires: gnome-python-gtkspell
Requires: python-enchant
Requires: python-lxml
Requires: python-gobject
Requires: python-curl
Requires: python-simplejson
Requires: xdg-utils
Requires: python-psycopg2


%description
A program for Computer Aided Translation (CAT) built on the Translate Toolkit.

Virtaal includes features that allow a localizer to work effecively including:
syntax highlighting, autocomplete and autocorrect.  Showing only 
the data that is needed through its simple and effective user interface it
ensures that you can focus on the translation task straight away.

By building on the Translate Toolkit, Virtaal is able to edit any of the
following formats: XLIFF, Gettext PO and .mo, Qt .ts, .qph and .qm, Wordfast 
TM, TMX, TBX.  By using the Translate Toolkit converters a translator can edit:
OpenOffice.org SDF, Java (and Mozilla) .properties and Mozilla DTD.
 

%prep
%setup -q -n %{name}-%{version}

%build
%{__python} setup.py build
./maketranslations %{name}
pushd po
for po in $(ls *.po | egrep -v de_DE)
do
    mkdir -p locale/$(basename $po .po)/LC_MESSAGES/
    msgfmt $po --output-file=locale/$(basename $po .po)/LC_MESSAGES/%{name}.mo
done
popd

%install
rm -rf %buildroot
%{__python} setup.py install --nodepcheck --skip-build --install-data=/usr --root=%buildroot

mkdir -p %{buildroot}%{_datadir}/
cp -rp po/locale %{buildroot}%{_datadir}/
%find_lang %{name}

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-TextTools" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/mime/packages/*
%{_datadir}/virtaal
%{_datadir}/icons/*
%{python_sitelib}/*


%changelog
* Sat Aug 17 2013 billybot <billybot> 0.7.0-4pclos2013
- update python 2.7

* Wed Dec 07 2011 Texstar <texstar at gmail.com> 0.7.0-2pclos2011
- update menu entry for all desktops

* Mon Dec 05 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.7.0-1_archie_2011
- Initial package
